#!/usr/bin/env python3
# -*- coding:utf-8 -*-
#############################################################################
# Copyright (c): 2012-2017, Huawei Tech. Co., Ltd.
# Description  : CM.py is a base class of CM part of Gauss200.
#############################################################################
try:
    import sys

    sys.path.append(sys.path[0] + "/../../../")
    from gspylib.component.BaseComponent import BaseComponent
except ImportError as ie:
    sys.exit("[GAUSS-52200] : Unable to import module: %s." % str(ie))


class CM(BaseComponent):
    '''
    The class is used to define cluster manager component.
    '''

    def __init__(self):
        '''
        Constructor
        '''
        super(CM, self).__init__()
        self.timeout = 300
        self.level = 2
